Subject: [utu] Re: I haven’t received my refund
From: "Saachi Aurora (utu)" <[email-masked]>
To: Pritish <[email-masked]>
Date: Tue, 30 Nov 2021 08:46:24 +0000

##- Please type your reply above this line -##

This ticket (#819) has been updated.

----------------------------------------------

Saachi Aurora, Nov 30, 2021, 16:46 GMT+8

Hi, I checked and my husband received the refunds on his card. I may have accidentally put his card details on my forms. Apologies, all sorted now.

Sent from my iPhone

----------------------------------------------

Pritish, Nov 30, 2021, 14:06 GMT+8

Dear Saachi​,

We would like to refer to your support ticket id 819​ which you have requested with us on Nov 20.

Since our last correspondence, we have not received your response yet and would like to follow up with you. Please let us know if you have any further questions or concerns, we would appreciate a quick reply on your side.

For your reference I have added the previous reply below:

Could you please share a copy of the refund slip, so that we can investigate and assist you further?

We wish you a great day!

Best regards,
Pritish​
utu Support

----------------------------------------------

Pritish, Nov 22, 2021, 14:05 GMT+8

Dear Saachi​,

Thank you for contacting utu Support. For your convenience, we have created Ticket ID 819 for your inquiry.

We are sorry to hear that you have not received your refund yet.

Could you please share a copy of the refund slip, so that we can investigate and assist you further?

Looking forward to your reply soon.

Have a great day!

Best Regards,
Pritish​
utu Support

----------------------------------------------

!*** Saachi Aurora was not signed in when this comment was submitted. Learn more ***!

Saachi Aurora, Nov 20, 2021, 18:47 GMT+8

Hello I added the utu card details on my global blue tax forms and processed them at the global blue counter at Milan airport on the 17th of October. Please can you look into this.

--------------------------------
This email is a service from utu.

[YYLQVG-77K0]